Create access grant
curl --request POST \
--url https://api.vantage.sh/v2/access_grants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_token": "<string>",
"team_token": "<string>"
}
'import requests
url = "https://api.vantage.sh/v2/access_grants"
payload = {
"resource_token": "<string>",
"team_token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resource_token: '<string>', team_token: '<string>'})
};
fetch('https://api.vantage.sh/v2/access_grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "rsrc_accss_grnt_9f8aeb3cedda3831",
"resource_token": "rprt_3b935d26cba36fb0",
"access": "denied",
"team_token": "team_26865e16e46028ae",
"created_at": "2024-01-18T17:39:37Z",
"created_by": "usr_2fc38883da3726b9"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}AccessGrants
Create access grant
Create an Access Grant.
POST
/
access_grants
Create access grant
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
AccessGrant model
The token for any resource the AccessGrant is applied to.
Example:
"rprt_abcd1234"
The access status of the AccessGrant.
The Team token for which an AccessGrant is applied to.
The date and time, in UTC, the AccessGrant was created. ISO 8601 Formatted.
Example:
"2023-08-04T00:00:00Z"
The token for the User who created the AccessGrant.
⌘I